As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 44327 - Opening a new window crashes webclient.
: Opening a new window crashes webclient.
Status: VERIFIED FIXED
suntrak-n6
: crash
Product: Core Graveyard
Classification: Graveyard
Component: Java APIs to WebShell (show other bugs)
: Trunk
: All All
: P3 normal (vote)
: ---
Assigned To: Ashu Kulkarni
: geetha.vaidyanaathan
:
Mentors:
Depends on:
Blocks: 35511
  Show dependency treegraph
 
Reported: 2000-06-30 10:34 PDT by edburns
Modified: 2012-04-09 22:27 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Solaris: webclient threads dump (81.14 KB, text/plain)
2000-08-23 02:52 PDT, Alexei V. Mokeev
no flags Details
cvs diff -u of files in this patch (13.19 KB, patch)
2001-01-08 12:04 PST, Ashu Kulkarni
no flags Details | Diff | Splinter Review
tar.gz of patch (15.05 KB, application/octet-stream)
2001-01-08 12:34 PST, Ashu Kulkarni
no flags Details
tar.gz - second iteration - with Ed's threading fix (15.08 KB, application/octet-stream)
2001-01-11 12:36 PST, Ashu Kulkarni
no flags Details
tar.gz of fix for this bug, third iteration: correct src_moz/Makefile.win (15.07 KB, application/octet-stream)
2001-01-25 14:12 PST, edburns
no flags Details

Description User image edburns 2000-06-30 10:34:22 PDT
Opening a new window crashes webclient.
Comment 1 User image leger 2000-07-06 03:54:29 PDT
Adding crash keyword
Comment 2 User image edburns 2000-07-07 11:53:14 PDT
Checked in fix just now.
Comment 3 User image Alexei V. Mokeev 2000-08-23 02:50:09 PDT
On latest Webclient(23/08/2000) and Mozilla M16 opening new window causes crash
under Solaris and hangup under Win32.
Please see attached dump for more info.

How to reproduce:

1.run Webclient with some url
2.Select File->New Window

Actual Result:
under Solaris: webclient dumped core
uder WinNT: webclient hangups

Expected result:

New window opened and nothing more.

Reproducible:
under Solaris - always
under Win32 -  in ~80% hangup


Comment 4 User image Alexei V. Mokeev 2000-08-23 02:52:00 PDT
Created attachment 13334 [details]
Solaris: webclient threads dump
Comment 5 User image Raghu Sakleshpur 2000-11-17 10:14:02 PST
Adding suntrack keyword
Comment 6 User image Ashu Kulkarni 2001-01-08 12:04:59 PST
Created attachment 22070 [details] [diff] [review]
cvs diff -u of files in this patch
Comment 7 User image edburns 2001-01-08 12:26:02 PST
Reassign.
Comment 8 User image Ashu Kulkarni 2001-01-08 12:34:39 PST
Created attachment 22074 [details]
tar.gz of patch
Comment 9 User image Ashu Kulkarni 2001-01-08 12:35:46 PST
Ed, pls review patch.

thnx
_Ashu
Comment 10 User image edburns 2001-01-08 16:49:48 PST
Hi Ashu,

I tried this on my machine, and it froze webclient, and brought the machine to 
its knees.  

I can't yet give it approval.  Let's meet tomorrow and think about how we can 
solve this without the busy waiting.
Comment 11 User image Ashu Kulkarni 2001-01-11 12:36:02 PST
Created attachment 22379 [details]
tar.gz - second iteration - with Ed's threading fix
Comment 12 User image edburns 2001-01-25 14:12:36 PST
Created attachment 23479 [details]
tar.gz of fix for this bug, third iteration: correct src_moz/Makefile.win
Comment 13 User image edburns 2001-02-07 13:17:15 PST
Hi Ashu,

I tried this http://bugzilla.mozilla.org/showattachment.cgi?attach_id=23479 
attachment with today's build on my WINNT machine and it worked.

I can now give r=edburns.

Please check in that attachment, and before doing so, carefully diff to make 
sure you're not wiping any other changes made to the tree.
Comment 14 User image Ashu Kulkarni 2001-02-08 15:59:57 PST
Diffed changes and checked Fix into the tree (tag JAVADEV_RTM_20001102)

_Ashu
Comment 15 User image Ashu Kulkarni 2001-02-12 19:44:04 PST
Closing Bug. Fix has been checked in.
Comment 16 User image Alexei V. Mokeev 2001-09-24 06:41:31 PDT
Works now. Mark VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.